daemon daemon/acpid {
	need = system/mountfs system/modules
	use = system/discover system/coldplug
	env_file = /etc/default/acpid
	daemon {

		# Check for ACPI support on kernel side
		[ -d /proc/acpi ] || exit 0
		
		LIST=`/sbin/lsmod|awk '!/Module/ {print $1}'`
		
		# Get list of available modules
		LOC="/lib/modules/`uname -r`/kernel/drivers/acpi"
		if [ -d $LOC ]; then
		    MODAVAIL=`( find $LOC -type f -name "*.o" -printf "basename %f .o\n"; \
				find $LOC -type f -name "*.ko" -printf "basename %f .ko\n" ) | /bin/sh`
		else
		    MODAVAIL=""
		fi
		
		# If no modules is set to load.
		if [ ! -d $MODULES ]; then
		    MODULES="all"
		fi

		# If no modules is set to load.
		if [ "$MODULES" = "all" ]; then
		    MODULES="$MODAVAIL"
		fi
		
		if [ -n "$MODULES" ]; then
			#/bin/echo "Loading ACPI modules:"
			for mod in $MODULES; do
			    # Check with modules avaible, or continue.
			    /bin/echo $MODAVAIL | /bin/grep -q -w "$mod" || continue

			    # Check with if its loaded.
			    /bin/echo $LIST | /bin/grep -q -w "$mod" && continue

			    # Finaly load.
			    modprobe $mod &> /dev/null
			    
			done
		fi
		
		# Ok, now launch acpid	
		exec /usr/sbin/acpid -f -c /etc/acpi/events
	}
}
