daemon daemon/dhcpcd/* {
	need = system/initial system/mountfs system/modules system/hostname
	use = system/static-modules system/coldplug
	pid_file = /var/run/dhcpcd-${NAME}.pid
	respawn
	
	daemon {
		if [[ -e /etc/conf.d/net ]]; then
		    source /etc/conf.d/net
		fi
		eval opts=\"\$\{dhcpcd_${NAME}\} \"

		# Gentoo dhcpcd supports the -o option which stops the
		# interface from being taken down when dhcpcd exits
		# This is needed if something like ifplugd or wpa_supplicant
		# is controlling dhcp on the interface
		if /sbin/dhcpcd -h 2>&1 | grep -q "dknorz" ; then
		    opts="${opts} -o"
		fi
		
		eval d=\" \$\{dhcp_${NAME}\} \"
		[[ ${d} == "  " ]] && d=" ${dhcp} "
		
		[[ ${d} == *' nodns '* ]] && opts="${opts} -R"
		[[ ${d} == *' nontp '* ]] && opts="${opts} -N"
		[[ ${d} == *' nonis '* ]] && opts="${opts} -Y"

		h=$( hostname )
		[[ -n ${h} && ${h} != "(none)" && ${h} != "localhost" \
			&& ${opts} != *' -h '* && ${d} != *' nohostname '* ]] \
				&& opts="${opts} -h ${h}"
	
		exec /sbin/dhcpcd ${opts} ${NAME}
	}

}
