daemon daemon/hddtemp {
    need = system/initial
    pidfile = /var/run/hddtemp.pid
daemon {
SERVICE="true"
DISKS="/dev/hd? /dev/sr? /dev/sg? /dev/sd?"
INTERFACE="0.0.0.0"
PORT="7634"
SEPARATOR="|"
SYSLOG="0"

# Reads config file (will override defaults above)
[ -r /etc/default/hddtemp ] && . /etc/default/hddtemp
[ -r /etc/conf.d/hddtemp ] && . /etc/conf.d/hddtemp

if [ -n "$SYSLOG" -a "$SYSLOG" != "0" ] ; then
	SYSLOG_ARG="-S $SYSLOG"
fi

if [ "$RUN_DAEMON" = "true" -o "$RUN_DAEMON" = "yes" ] ; then
	DAEMON_ARG="-d -l $INTERFACE -p $PORT -s $SEPARATOR"
fi

if [ ! -x "/usr/sbin/hddtemp" ]; then
    /bin/echo "Could not find /usr/sbin/hddtemp"
    exit 1
fi

CDROMS_LIST="$(grep "^drive name:" /proc/sys/dev/cdrom/info 2>/dev/null | sed -e 's/^drive name:\t//g' -e 's/\t/ \/dev\//g')"
CDROMS_LIST="$CDROMS_LIST $(grep -sl '^ide-scsi ' /proc/ide/hd*/driver | awk -F / '{ print "/dev/"$4 }')"


for disk in $DISKS ; do
    /bin/echo $CDROMS_LIST | grep -wq $disk && continue
    /bin/echo $DISKS_NOPROBE | grep -wq $disk && continue
    if /usr/sbin/hddtemp -wn $OPTIONS $disk 2>/dev/null | /bin/grep -q '^[0-9]\+$' ; then
	DISKS_LIST="$DISKS_LIST $disk";
    fi
done

if [ -n "$DISKS_LIST" ] || [ -n "$DISKS_NOPROBE" ] ; then
    /usr/sbin/hddtemp $DAEMON_ARG $SYSLOG_ARG $OPTIONS $DISKS_NOPROBE $DISKS_LIST
fi

# sleep 1 sec and then get pid
sleep 1
/bin/echo `pidof hddtemp` > /var/run/hddtemp.pid
exit 0

}
}
