daemon daemon/pump/* {
	#*/
	need = system/modules system/mountfs

	daemon {
		if [[ -e /etc/conf.d/net ]]; then
		    source /etc/conf.d/net
		fi
		
		eval opts=\" \$\{pump_${NAME}\} \"
		eval d=\" \$\{dhcp_${NAME}\} \"
		[[ ${d} == "  " ]] && d=" ${dhcp} "
		
		[[ ${d} == *' nodns '* ]] && opts="${opts} --nodns"

		h=$( hostname )
		[[ -n ${h} && ${h} != "(none)" && ${h} != "localhost" \
			&& ${opts} != *' -h '*i && ${opts} != *' --hostname='* && ${d} != *' nohostname '* ]] \
				&& opts="${opts} -h ${h}"
	
		/sbin/pump ${opts} -i ${NAME}
		[[ $? != 0 ]] && exit $?

		[[ ${d} == *' nontp '* ]] && exit 0

		. /lib/initng/scripts/net/functions
		. /lib/initng/scripts/net/system

		eval ntp_servers_${ifvar}=$( pump -i ${iface} --status | sed -n -e 's/^.*Ntpservers: //p' )
		system_ntp

		exit 0
	}
	
	kill {
		/sbin/pump --release -i ${NAME}
	}
}
