
service system/aumix {
	use = system/alsasound
	need = system/initial system/mountfs

start {
if [ -z "`/bin/egrep 'sound|OSS' /proc/devices`" ] && [ ! -d /proc/asound ]
then
	/bin/echo "Sound support has not been compiled into the kernel,"
	/bin/echo "or is disabled.  Please check that the correct modules"
	/bin/echo "is loaded."
	exit 1
fi
if [ ! -e /dev/mixer ] ; then
	/bin/echo "/dev/mixer does not exist, please create it, or load the"
	/bin/echo "correct modules to enable your card's mixer"
	exit 1
fi
if [ -f /etc/aumixrc ] ; then
	/bin/echo "Loading Mixer settings"
	/usr/bin/aumix -f /etc/aumixrc -L >/dev/null 2>&1
else
	/bin/echo "Setting Mixer settings"
	/usr/bin/aumix -v75 -c75 -w75 >/dev/null 2>&1
fi
exit $?
}

stop {
if [ -z "`/bin/egrep 'sound|OSS' /proc/devices`" ] && [ ! -d /proc/asound ]
then
	/bin/echo "Sound support has not been compiled into the kernel,"
	/bin/echo "or is disabled.  Please check that the correct modules"
	/bin/echo "is loaded."
	exit 1
fi
if [ ! -e /dev/mixer ] ; then
	/bin/echo "/dev/mixer does not exist, please create it, or load the"
	/bin/echo "correct modules to enable your card's mixer"
	exit 1
fi

/bin/echo "Saving Mixer settings"
/usr/bin/aumix -f /etc/aumixrc -S >/dev/null 2>&1
exit $?
}

}
