
service system/dotnet {
	need = system/initial
start {
CLR=mono
if [ -e /etc/conf.d/dotnet ]; then
    source /etc/conf.d/dotnet
fi
/bin/echo "Registering .NET IL binaries with ${CLR}"
if [ ! -d /proc/sys/fs/binfmt_misc ]; then
	/bin/echo "You need support for \"misc binaries\" in your kernel!"
	exit 1
fi
/bin/mount | /bin/grep -q binfmt_misc
if [ $? != 0 ]; then
    /bin/mount -t binfmt_misc binfmt_misc /proc/sys/fs/binfmt_misc
    if [ $? != 0 ]; then
	exit 1
    fi
fi
case "${CLR}" in
mono )	/bin/echo ':CLR:M::MZ::/usr/bin/mono:' > /proc/sys/fs/binfmt_misc/register
	exit 0
	;;
ilrun )	/bin/echo ':CLR:M::MZ::/usr/bin/ilrun:' > /proc/sys/fs/binfmt_misc/register
	exit 0
	;;
* )	/bin/echo 'Please enter a valid option in /etc/conf.d/dotnet'
	exit 1
	;;
esac
}

stop {
/bin/echo "Unregistering .NET IL binaries"
if [ -f /proc/sys/fs/binfmt_misc/CLR ]; then
	/bin/echo '-1' > /proc/sys/fs/binfmt_misc/CLR
fi
exit $?
}

