# description: Starts and stops "laptop-mode" - tweaks system behavior
#              to extend battery life.
#
# config:  /etc/laptop-mode/laptop-mode.conf

service system/laptop-mode {
	need = system/initial system/mountfs
start {
	/usr/bin/touch /var/run/laptop-mode-enabled

	# Run it with "force" so that syslog.conf and hdparm settings
	# are set correctly at system bootup.
	if [ -e /usr/sbin/laptop_mode ]; then
	    /usr/sbin/laptop_mode auto force > /dev/null
	else
	    /bin/echo "/usr/sbin/laptop_mode not found!"
	    exit 1
	fi
	exit 0
}
stop {
	rm -f /var/run/laptop-mode-enabled
	if ! ( /usr/sbin/laptop_mode stop > /dev/null ) ; then
		exit 1
	fi
	
	exit 0			       
}

}     
