service system/mountfs {
	need = system/initial system/mountroot
	use = system/sraid system/hdparm
	# system/modules
	critical
start {
	retval=0

	#Check all filesystems
	if [ -f /fastboot ]; then
	    /bin/rm -f /fastboot
	else
	    if [ -f /forcefsck ] ; then
		/bin/echo "A full fsck has been forced"
		/sbin/fsck -C -R -A -a -f
		retval=$?
		/bin/rm -f /forcefsck
	    else
		/sbin/fsck -C -T -R -A -a
		retval=$?
	    fi
			
	    if [ ${retval} -eq 0 ] ; then
		/bin/echo -e "\nAll filesystems passed fsck, now mounting .."
	    elif [ ${retval} -eq 8 ] ; then
		/bin/echo -e "\nFilesystem already mounted, skipping fsck."
	    elif [ ${retval} -ge 1 ] && [ ${retval} -le 3 ] ; then
		/bin/echo -e "\nFilesystem errors corrected by fsck."
		# Everything should be ok, so return a pass
	    else
		/bin/echo "\nFsck could not correct all errors, manual repair needed"
		# exit 1, with critical set, will shutdown initng, and execute sulogin.
		exit 1
	    fi
	fi


	# /bin/mount local filesystems in /etc/fstab.
	/bin/mount -aFt reiserfs,reiser4,ext2,ext3,xfs,jfs,vfat,ntfs,tmpfs,bind,subfs
	if [ ${?} -ne 0 ]; then
	    /bin/echo "mounting failed, trying mount local filesystems again ..."
	    if ! /bin/mount -at reiserfs,reiser4,ext2,ext3,xfs,jfs,vfat,ntfs,tmpfs,bind,subfs; then
		/bin/echo "WARNING, failed to mount some local filesystems"
		#this is not critical, lets continue anyway.
	    fi
	fi

	# /bin/mount all type bind.
	/bin/mount -at bind	
	
	# Always return happily, or sulogin will be executed.
	exit 0
}

# Some day, this script also have to clean up after itself.
#stop {
#	/bin/echo "Unmounting all filesystems"
#	/bin/umount -aFt reiserfs,reiser4,ext2,ext3,xfs,jfs,vfat,ntfs,tmpfs,bind
#	if [ ${?} -ne 0 ]
#	then
#	    /bin/echo "/bin/umount-ing failed, trying /bin/umount local filesystems again ..."
#	    if ! /bin/umount -at reiserfs,reiser4,ext2,ext3,xfs,jfs,vfat,ntfs,tmpfs,bind,subfs
#	    then
#		/bin/echo "WARNING, failed to /bin/umount some local filesystems"
#		#this is not critical, lets continue anyway.
#	    fi
#	fi
#
#	# /bin/umount all type bind.
#	/bin/umount -at bind	
#	
#	# Always return happily, or sulogin will be executed.
#	exit 0
#}

}
