service system/static-modules {
	need = system/initial system/mountroot system/modules
start {
    
load_modules() {
	/bin/cat ${1} | while read MODULE MODARGS
  	do
	    case "$MODULE" in
		\#*|"") continue ;;
	    esac

	    /bin/echo "  Loading module \"${MODULE}\" ..."
 	    /sbin/modprobe -q ${MODULE} ${MODARGS} >/dev/null 2>&1
  	done
	
	return 0
}


# GENTOO: Don't probe kernel version, initng, requires 2.6 anyway
if [ -e /etc/modules.autoload.d/kernel-2.6 ]; then
    load_modules /etc/modules.autoload.d/kernel-2.6
fi

if [ -e /etc/modules ]; then
    load_modules /etc/modules
fi

if [ -n "$(/sbin/modprobe -l -t boot)" ]
then
	/sbin/modprobe -a -t boot \*  >/dev/null 2>&1
fi

exit 0
}
}
# vim:ts=4
