
service system/usb {
	need = system/initial system/mountfs

start {
#!/bin/bash

# Make sure we insert usbcore if its a module
if [ -f /proc/modules ] ; then
    # >/dev/null to hide errors from non-USB users
    /sbin/modprobe usbcore >/dev/null 2>&1
fi
	
# Check what USB fs the kernel support.  Currently
# 2.5+ kernels, and later 2.4 kernels have 'usbfs',
# while older kernels have 'usbdevfs'.
usbfs=$(/bin/grep -Fow usbfs /proc/filesystems || /bin/grep -Fow usbdevfs /proc/filesystems)

if [ -n "${usbfs}" ] && [ -e /proc/bus/usb ] && [ ! -e /proc/bus/usb/devices ]
then
    echo "Mounting USB device filesystem (${usbfs}) ..."
    usbgid=$(/usr/bin/awk -F: '/^usb:/{print $3; exit}' /etc/group)
    if [ -n "${usbgid}" ]
    then
        /bin/mount -t ${usbfs} usbfs /proc/bus/usb ${usbgid:+-o devmode=0664,devgid=${usbgid}} >/dev/null 2>&1 &
    else
        /bin/mount -t ${usbfs} usbfs /proc/bus/usb >/dev/null 2>&1 &
    fi
fi

exit 0
}
}
